var IOHelper = function IOHelper(){
	
	var serviceName = "palm://de.tamspalm.voicerecorder.service";
	
	/*public*/
	function getFileInfo (path, callback){
		var req = new Mojo.Service.Request(serviceName, {
	    	method: "getfileinfo",
	        parameters: {"path": path},
	       
	        onSuccess:function(response){
	       		callback({'returnValue':true, 'path':path, 'stats':response.stats});
	        }.bind(this),
	        
	        onFailure:function(response){
	       		callback({'returnValue':false, 'error':response.err});
	        }.bind(this)
		});
	}	
	
	function deleteFile (path, callback){
		var req = new Mojo.Service.Request(serviceName, {
	    	method: "deletefile",
	        parameters: {"path": path},
	       
	        onSuccess:function(response){
	       		callback({'returnValue':true, 'path':path});
	        }.bind(this),
	        
	        onFailure:function(response){
	       		callback({'returnValue':false, 'error':response.err});
	        }.bind(this)
		});
	}
	
	
	function renameFile (path1, path2, callback){
		var req = new Mojo.Service.Request(serviceName, {
	    	method: "renamefile",
	        parameters: {"path1": path1, "path2": path2},
	       
	        onSuccess:function(response){
	       		callback({'returnValue':true, 'path':path2});
	        }.bind(this),
	        
	        onFailure:function(response){
	       		callback({'returnValue':false, 'error':response.error});
	        }.bind(this)
		});
	}
	
	function scanDirectory(path, callback){
		var req = new Mojo.Service.Request(serviceName, {
	    	method: "readdir",
	        parameters: {"path": path},
	        
	        onSuccess:function(response){
	        	callback(response);
	        }.bind(this),
	        
	        onFailure:function(response){
	       		callback({'returnValue':false});
	        }.bind(this)
		});
	}
	
	

	return {
		getFileInfo : getFileInfo,
		deleteFile : deleteFile,
		renameFile : renameFile,
		scanDirectory: scanDirectory
	};
}