var TimerClock = Class.create({
    timoutId: 0,
    mainActiveScene: undefined,
    timerCounter: 0,
    updateCallback: undefined,
    interval : 1000,

    initialize: function(uc, interv){
    	this.updateCallback = uc;
    	this.interval = interv;
        this.running = false;
        this.wakeupFunction = this.updateTime.bind(this);
    },

    startClockTimer: function(mode, start){
        this.mode = mode;
        this.timerCounter = start;
        var mainStageController = Mojo.Controller.stageController;

        if (mainStageController) {
            this.mainActiveScene = mainStageController.activeScene();

            if (!this.running) {
                this.running = true;
                this.updateTimer = 0;
                this.timoutId = this.mainActiveScene.window.setInterval(this.wakeupFunction, this.interval);
            }
        }
    },
    
    stopClockTimer: function(){
        this.running = false;
        this.mainActiveScene.window.clearInterval(this.timoutId);
    }, 
    
    updateTime: function(){
        this.updateTimer++;
        
        if (this.running) {
            if (this.updateTimer > 1) {
                this.updateTimer = 0;
                
                if (this.mode == "up") {
                    this.timerCounter++;
                }
                else if (this.mode == "down") {
                    this.timerCounter--;
                }
                this.updateCallback(this.timerCounter);
                Mojo.Log.info(this.timerCounter);
            }
        }
    }
});