var Utils = function Utils(){
	
	/*public*/
	
	var ioHelper = new IOHelper();
	var filesWithInfo = [];
	
	function isTouchPad(){
		var height = Mojo.Environment.DeviceInfo.screenHeight;
		var width = Mojo.Environment.DeviceInfo.screenWidth;
	
		if (height > 480 && width > 480){
			return true;
		}
		return false;
	}
	
	
	function getTimeString(seconds){
		var minutes = seconds/60;
		var hours = minutes/60;
	}
	
	
	function cutExtension(fileName){
		return fileName.split('.').reverse().slice(1).reverse().join('.');
	}
	
	
	
	function playRecording(fileName){
		Mojo.Log.info(VR_FOLDER+fileName+VR_EXTENSION);
		var req = new Mojo.Service.Request("palm://com.palm.applicationManager", {
    		method: "open",
	    	parameters: {
	        	target: VR_FOLDER+fileName+VR_EXTENSION
	    	}
		});
	}
	
	
	function synchronousFileInfo (files, callback){
		if (files.length > 0){
			var file = files.pop();
			Mojo.Log.info(file);
			ioHelper.getFileInfo(VR_FOLDER + file,
				function (response){
					if (response.returnValue){
						var obj = {'data':cutExtension(file), 'ctime':response.stats.ctime};
						filesWithInfo.push(obj);
						if (files.length > 0){
							synchronousFileInfo (files, callback);
						}
						else{
							filesWithInfo.sort(
								function (a,b){
									var nameA = b.ctime.toLowerCase();
									var nameB = a.ctime.toLowerCase();
							
									if (nameA < nameB) //sort string ascending
										return -1; 
									else if (nameA > nameB)
										return 1;
									else
										return 0; //default return value (no sorting)
								}
							);
							callback(filesWithInfo);
						}
					}
				}.bind(this)
			);
		}
		else{
			callback([]);
			return;
		}
	}
	
	function resetArray (){
		filesWithInfo = [];
	}
	
	function secondsToTime(secs)
	{
		var hours = Math.floor(secs / (60 * 60));
		
		var divisor_for_minutes = secs % (60 * 60);
		var minutes = Math.floor(divisor_for_minutes / 60);
	
		var divisor_for_seconds = divisor_for_minutes % 60;
		var seconds = Math.ceil(divisor_for_seconds);
		
		return zerosFormat(hours)+":"+zerosFormat(minutes)+":"+zerosFormat(seconds);
	}
	
	function zerosFormat(value) {
		strValue = value.toString();
		if (strValue.length<2)
		{
			strValue='0'+strValue;
		}
		return strValue;
	}
	
	return {
		isTouchPad : isTouchPad,
		getTimeString: getTimeString,
		cutExtension: cutExtension,
		playRecording: playRecording,
		synchronousFileInfo : synchronousFileInfo,
		resetArray : resetArray,
		secondsToTime: secondsToTime,
		zerosFormat : zerosFormat
	};
}